Should allow rectangle associated with vectorized image to be edited when clicked on
10/13/2008 01:14 PM - Ryan McFall
Description

After adding a vectorized image to the image pane, it's not possible to go back and edit the rectangle associated with the image.

In order to facilitate this, most like ImagePane should be changed to descend from JList rather than JPanel. Otherwise it will be
more difficult than it should be to identify which element is selected.

History

#1 - 02/24/2009 06:05 AM - Ryan McFall
Still important, but probably can't be done by target date for alpha 3

#2 - 05/12/2009 09:29 AM - Ryan McFall
This is now possible. ImagePane is still a JPanel, but has many JList like features. Moving to JList was explored, but due to some strange behavior

(likely bugs) of custom cell renderers in JLists, ImagePane just implements some list like features itself.

#3 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3526
